Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::Pdu_4_1_6::Settings Struct Reference

PDU settings. More...

`import"Pdu.idl";`

## Public Attributes
string | name
| User-defined name.
StartupState | startupState
| Default outlet state on device startup; can be overriden per outlet.
int | cycleDelay
| Default power-cycle interval in seconds; can be overriden per outlet.
int | inRushGuardDelay
| Minimum delay in milliseconds between switching two outlets on.
vector< int > | outletPowerStateSequence
| The order in which multiple outlets should be switched. More...
int | powerOnDelay
| Delay in seconds before restoring outlet states after device startup.
boolean | latchingRelays
| If true, relays keep their state during power-cycling.
boolean | energyPulseEnabled
| Enables energy consumption counting using the PDU's LED(s)
int | energyPulsesPerKWh
| Ratio between LED pulses and energy consumption.

## Detailed Description

PDU settings.

## Member Data Documentation

## ◆ outletPowerStateSequence

vector<int> pdumodel::Pdu_4_1_6::Settings::outletPowerStateSequence

The order in which multiple outlets should be switched.

Format: List of outlet numbers (zero-based), empty for default.
Affects the following functions:

- `setAllOutletPowerStates`
- `cycleAllOutletPowerStates`
- `setMultipleOutletPowerStates`
- `cycleMultipleOutletPowerStates`

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Pdu.idl